# Multiple Architecture Handling
%ifnarch %ix86
%define target_cpu %{_target_cpu}
%endif

%define section		non-free

%define	origin		ibm
%define priority	1312
%define javaver		1.3.1
# This is really not used in the build except to distinguish the resulting
# binaries
%define buildver        7

%define name		java-%{javaver}-%{origin}
%define version		%{javaver}.%{buildver}
%define release		1jpp

%define cvs_version	131
%ifarch %ix86
%define archive_name	IBMJava2-SDK-%{cvs_version}.tgz	
%define toplevel_dir	IBMJava2-%{cvs_version}
%else
%define archive_name	IBMJava2-SDK-%{cvs_version}.%{target_cpu}.tgz	
%define toplevel_dir	IBMJava2-%{target_cpu}-%{cvs_version}
%endif 


%define	sdklnk		java-%{javaver}-%{origin}
%define	jrelnk		jre-%{javaver}-%{origin}
%define	sdkdir		%{name}-%{version}
%define	jredir		%{sdkdir}/jre
%define sdkbindir	%{_jvmdir}/%{sdklnk}/bin
%define jrebindir	%{_jvmdir}/%{jrelnk}/bin
%define jvmjardir       %{_jvmjardir}/%{name}-%{version}

%define x11bindir       %{_prefix}/X11R6/bin
%define x11encdir       %{_prefix}/X11R6/lib/X11/fonts/encodings
%define fontconfigdir   %{_sysconfdir}/fonts
%define fontdir         %{_datadir}/fonts/java
%define xsldir          %{_datadir}/xml/%{name}-%{version}

%define pluginname      %{_jvmdir}/%{jredir}/bin/libjavaplugin_oji.so

# This prevents aggressive stripping on RHL 9.
%define debug_package %{nil}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	Java Runtime Environment for %{name}
License:	Sun Binary Code License
URL:		http://www-106.ibm.com/developerworks/java/jdk/linux140/
Group:		Development/Interpreters
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	%{archive_name}
Source1:        %{name}-register-java-fonts.xsl
Source2:        %{name}-unregister-java-fonts.xsl
Source3:	%{name}-filelist
Source4:	%{name}-nptl.patch
NoSource:	0
Requires:	/usr/sbin/update-alternatives
Conflicts:	kaffe
ExclusiveArch:	i386 ppc s390
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	jpackage-utils >= 0:1.5.33
Provides:       jre-%{javaver}-%{origin} = %{epoch}:%{version}, jre-%{javaver},
Provides:       jre-%{origin} = %{epoch}:%{version}, jre = %{javaver}
Provides:       java-%{javaver}, java-%{origin} = %{epoch}:%{version},
Provides:       java = %{javaver}
Provides:	jndi = %{epoch}:%{version}, jndi-ldap = %{epoch}:%{version}
Provides:	jndi-cos = %{epoch}:%{version}, jndi-rmi = %{epoch}:%{version}

%description
This package contains the Java Runtime Environment for %{name}.

%package devel
Summary:	Java Software Development Kit for %{name}
Group:		Development/Compilers
Provides:       java-sdk-%{javaver}-%{origin} = %{epoch}:%{version}, java-sdk-%{javaver}
Provides:	java-sdk-%{origin} = %{epoch}:%{version}, java-sdk = %{javaver}
Provides:       java-%{javaver}-devel, java-devel-%{origin} = %{epoch}:%{version}
Provides:	java-devel = %{javaver}
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
The JavaTM Development Kit (JDKTM) contains the software and tools that
developers need to compile, debug, and run applets and applications
written using the Java programming language.

%package demo
Summary:	Demonstration files for %{name}
Group:		Development/Interpreters
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description demo
This package contains demonstrations files for %{name}

%package debug
Summary:	Debug files for %{name}
Group:		Development/Interpreters
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description debug
This package contains debug files for %{name}

%ifarch %ix86
%package plugin
Summary:	Browser plugin files for %{name}
Group:		Internet/WWW/Browsers
Requires:	%{name} = %{epoch}:%{version}-%{release}, %{_bindir}/mozilla
Requires:	%{_bindir}/find, sed
Provides:	java-plugin = %{javaver}, java-%{javaver}-plugin = %{version}
Conflicts:	java-%{javaver}-blackdown-plugin, java-%{javaver}-sun-plugin
Conflicts:	java-%{javaver}-bea-plugin

%description plugin
This package contains browser plugin files for %{name}
%endif

%package jdbc
Summary:	JDBC files for %{name}
Group:		Development/Libraries/Java
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoReqProv:	no
Requires:	libodbc.so.1
Requires:	libodbcinst.so.1

%description jdbc
This package contains JDBC files for %{name}

%package fonts
Summary:        TrueType fonts for %{origin} JVMs.
Group:          Text Processing/Fonts
Requires:       %{name} = %{epoch}:%{version}-%{release}, %{_bindir}/ttmkfdir
Requires:       %{_sbindir}/chkfontpath, %{x11bindir}/mkfontdir, mktemp
Requires:       %{_bindir}/xsltproc, %{_bindir}/perl
Provides:       java-fonts = %{javaver}, java-%{javaver}-fonts
Conflicts:      java-%{javaver}-sun-fonts, java-%{javaver}-blackdown-fonts
Conflicts:      java-%{javaver}-bea-fonts

%description fonts
This package contains the TrueType fonts for %{origin} JVMs.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{toplevel_dir}
# Fix for LD_ASSUME_KERNEL - this will always be on for NPTL kernels
for file in `cat %{SOURCE3}`; do
   if [ -e $file ]; then
      patch $file %{SOURCE4}
   fi
done

%install
# main files
install -d -m 755 $RPM_BUILD_ROOT%{_jvmdir}/%{sdkdir}
cp -a bin include lib $RPM_BUILD_ROOT%{_jvmdir}/%{sdkdir}
install -d -m 755 $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}
cp -a jre/bin jre/lib $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}

# extensions handling
install -d -m 755 $RPM_BUILD_ROOT%{jvmjardir}
pushd $RPM_BUILD_ROOT%{jvmjardir}
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar jndi-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar jndi-ldap-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar jndi-cos-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar jndi-rmi-%{version}.jar
   for jar in *-%{version}.jar ; do
      ln -fs ${jar} $(echo $jar | sed "s|-%{version}.jar|.jar|g")
   done
popd

# version-less symlinks
pushd $RPM_BUILD_ROOT%{_jvmdir}
ln -s %{jredir} %{jrelnk}
ln -s %{sdkdir} %{sdklnk}
popd

pushd $RPM_BUILD_ROOT%{_jvmjardir}
ln -s %{sdkdir} %{jrelnk}
ln -s %{sdkdir} %{sdklnk}
popd

# fix sdk java provide
pushd $RPM_BUILD_ROOT%{sdkbindir}/exe
   ln -s %{jrebindir}/exe/java java
   ln -s %{jrebindir}/exe/java java_g
popd

# docs
[ -f COPYRIGHT ] && mv COPYRIGHT docs/ 

# demo
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a demo $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a src.jar $RPM_BUILD_ROOT%{_datadir}/%{name}


### font handling
                                                                                                                             
pushd $RPM_BUILD_ROOT/%{_jvmdir}/%{jredir}/lib
                                                                                                                             
   # Remove font.properties and use the system-wide one -- NiM
   rm -f font.properties
   ln -fs %{_sysconfdir}/java/font.properties .
                                                                                                                             
   # remove supplied fonts.dir in preference of the one to be dynamically generated -- Rex
   rm fonts/fonts.dir
                                                                                                                             
   # These %ghost'd files are created properly in %post  -- Rex
   touch fonts/{fonts.{alias,dir,scale,cache-1},XftCache,encodings.dir}
                                                                                                                             
   if [ "%{fontdir}" != "%{jredir}/lib/fonts" ] ; then
      install -d -m 755 $RPM_BUILD_ROOT%{fontdir}
      mv fonts/* $RPM_BUILD_ROOT%{fontdir}
      rmdir fonts
      ln -fs %{fontdir} fonts
   fi
                                                                                                                             
popd

# font registration/unregistration
install -d -m 755 $RPM_BUILD_ROOT%{xsldir}
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{xsldir}/register-java-fonts.xsl
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{xsldir}/unregister-java-fonts.xsl


# Most of this shamelessly stolen from redhat's kdebase-2.2.2 specfile
find $RPM_BUILD_ROOT%{_jvmdir}/%{jredir} -type d | sed 's|'$RPM_BUILD_ROOT'|%dir |' > $RPM_BUILD_DIR/%{name}-all.files
find $RPM_BUILD_ROOT%{_jvmdir}/%{jredir} -type f | sed 's|'$RPM_BUILD_ROOT'||'      >> $RPM_BUILD_DIR/%{name}-all.files
find $RPM_BUILD_ROOT%{_jvmdir}/%{jredir} -type l | sed 's|'$RPM_BUILD_ROOT'||'      >> $RPM_BUILD_DIR/%{name}-all.files


#  Find debug and development files
find $RPM_BUILD_ROOT%{_jvmdir}/ -name "*_g*" | sed 's|'$RPM_BUILD_ROOT'||'      > $RPM_BUILD_DIR/%{name}-debug.files
find $RPM_BUILD_ROOT%{_jvmdir}/%{sdkdir}/bin -not -type d -not -name "*_g*" | sed 's|'$RPM_BUILD_ROOT'||'	>>$RPM_BUILD_DIR/%{name}-devel.files 
find $RPM_BUILD_ROOT%{_jvmdir}/%{sdkdir}/include -not -type d -not -name "*_g*" | sed 's|'$RPM_BUILD_ROOT'||' >>$RPM_BUILD_DIR/%{name}-devel.files 
find $RPM_BUILD_ROOT%{_jvmdir}/%{sdkdir}/lib -not -type d -not -name "*_g*" | sed 's|'$RPM_BUILD_ROOT'||'	>>$RPM_BUILD_DIR/%{name}-devel.files 

cat $RPM_BUILD_DIR/%{name}-all.files | grep plugin      | sort > $RPM_BUILD_DIR/%{name}-plugin.files
cat $RPM_BUILD_DIR/%{name}-all.files | grep Jdbc        | sort > $RPM_BUILD_DIR/%{name}-jdbc.files
cat $RPM_BUILD_DIR/%{name}-all.files | grep -v plugin | grep -v Jdbc | grep -v "lib/fonts" | grep -v _g | sort > $RPM_BUILD_DIR/%{name}.files

%clean
rm -rf $RPM_BUILD_ROOT
rm -f $RPM_BUILD_DIR/%{name}*.files

%preun fonts
[ $1 -eq 0 ] || exit 0
 # Unregister self in fontconfig aliases
if [ -w %{fontconfigdir}/fonts.conf ] ; then
   TMPFILE=$(/bin/mktemp -q /tmp/fonts.conf.XXXXXX) && \
   %{_bindir}/xsltproc --novalid %{xsldir}/unregister-java-fonts.xsl \
        %{fontconfigdir}/fonts.conf > $TMPFILE && \
   /bin/cat $TMPFILE > %{fontconfigdir}/fonts.conf && /bin/rm $TMPFILE
fi


%post

update-alternatives --install %{_bindir}/java java %{jrebindir}/java %{priority} \
--slave %{_jvmdir}/jre                     jre                         %{_jvmdir}/%{jrelnk} \
--slave %{_jvmjardir}/jre                  jre_exports                 %{_jvmjardir}/%{jrelnk} \
--slave %{_bindir}/keytool                 keytool                     %{jrebindir}/keytool \
--slave %{_bindir}/policytool              policytool                  %{jrebindir}/policytool \
--slave %{_bindir}/rmid                    rmid                        %{jrebindir}/rmid \
--slave %{_bindir}/rmiregistry             rmiregistry                 %{jrebindir}/rmiregistry \
--slave %{_bindir}/tnameserv               tnameserv                   %{jrebindir}/tnameserv 

update-alternatives --install %{_jvmdir}/jre-%{origin} jre_%{origin} %{_jvmdir}/%{jrelnk} %{priority} \
--slave %{_jvmjardir}/jre-%{origin}        jre_%{origin}_exports       %{_jvmjardir}/%{jrelnk}

update-alternatives --install %{_jvmdir}/jre-%{javaver} jre_%{javaver} %{_jvmdir}/%{jrelnk} %{priority} \
--slave %{_jvmjardir}/jre-%{javaver}       jre_%{javaver}_exports      %{_jvmjardir}/%{jrelnk}

%post devel

update-alternatives --install %{_bindir}/javac javac %{sdkbindir}/javac %{priority} \
--slave %{_jvmdir}/java                     java_sdk                    %{_jvmdir}/%{sdklnk} \
--slave %{_jvmjardir}/java                  java_sdk_exports            %{_jvmjardir}/%{sdklnk} \
--slave %{_bindir}/appletviewer             appletviewer                %{sdkbindir}/appletviewer \
--slave %{_bindir}/extcheck                 extcheck                    %{sdkbindir}/extcheck \
--slave %{_bindir}/idlj                     idlj                        %{sdkbindir}/idlj \
--slave %{_bindir}/jar                      jar                         %{sdkbindir}/jar \
--slave %{_bindir}/jarsigner                jarsigner                   %{sdkbindir}/jarsigner \
--slave %{_bindir}/javadoc                  javadoc                     %{sdkbindir}/javadoc \
--slave %{_bindir}/javah                    javah                       %{sdkbindir}/javah \
--slave %{_bindir}/javap                    javap                       %{sdkbindir}/javap \
--slave %{_bindir}/jdb                      jdb                         %{sdkbindir}/jdb \
--slave %{_bindir}/native2ascii             native2ascii                %{sdkbindir}/native2ascii \
--slave %{_bindir}/oldjava                  oldjava                     %{sdkbindir}/oldjava \
--slave %{_bindir}/oldjavac                 oldjavac                    %{sdkbindir}/oldjavac \
--slave %{_bindir}/oldjdb                   oldjdb                      %{sdkbindir}/oldjdb \
--slave %{_bindir}/rmic                     rmic                        %{sdkbindir}/rmic \
--slave %{_bindir}/serialver                serialver                   %{sdkbindir}/serialver 

update-alternatives --install %{_jvmdir}/java-%{origin} java_sdk_%{origin} %{_jvmdir}/%{sdklnk} %{priority} \
--slave %{_jvmjardir}/java-%{origin}        java_sdk_%{origin}_exports  %{_jvmjardir}/%{sdklnk}

update-alternatives --install %{_jvmdir}/java-%{javaver} java_sdk_%{javaver} %{_jvmdir}/%{sdklnk} %{priority} \
--slave %{_jvmjardir}/java-%{javaver}       java_sdk_%{javaver}_exports %{_jvmjardir}/%{sdklnk}


%post fonts
{
    # Legacy font handling
                                                                                                                              
    %{_bindir}/ttmkfdir -d %{fontdir} -o %{fontdir}/fonts.scale
                                                                                                                              
    # Mandrake workaround
    %{_bindir}/perl -pi -e 's@0-c-0@0-p-0@g' %{fontdir}/fonts.scale
                                                                                                                              
    %{x11bindir}/mkfontdir -e %{x11encdir} -e %{x11encdir}/large %{fontdir}
                                                                                                                              
    %{_sbindir}/chkfontpath -q -a %{fontdir}
                                                                                                                              
    # The following commands will be executed on upgrade by their respective
    # packages
                                                                                                                              
    # Late legacy font handling
    if [ -x %{_bindir}/redhat-update-gnome-font-install ] ; then
        %{_bindir}/redhat-update-gnome-font-install
    fi
                                                                                                                              
    if [ -x %{_bindir}/redhat-update-gnome-font-install2 ] ; then
        %{_bindir}/redhat-update-gnome-font-install2
    fi
                                                                                                                              
    # Modern font handling
    if [ -x %{_bindir}/fc-cache ] ; then
        %{_bindir}/fc-cache -f %{_datadir}/fonts
    fi

    # Suse stuff
    if [ -x /sbin/SuSEconfig ] ; then
        TMPFILE=$(/bin/mktemp -q /tmp/XF86Config.XXXXXX) && \
        %{_bindir}/awk '
         BEGIN { status=0 }
        /Section[[:blank:]].*"Files"/ { status=1 }
        status==1 && /FontPath[[:blank:]].*"\%{fontdir}?"/ { status=3 }
        status==1 && /FontPath/ { status=2 }
        status==2 && ! /FontPath/ { print "  FontPath     \"%{fontdir}\"" ; status=3 }
        { print }
        ' %{_sysconfdir}/X11/XF86Config > $TMPFILE && \
        cat $TMPFILE > %{_sysconfdir}/X11/XF86Config && \
        /bin/cat $TMPFILE > %{_sysconfdir}/X11/XF86Config && /bin/rm $TMPFILE
                                                                                                                              
        /sbin/SuSEconfig --module fonts
    fi
                                                                                                                              
} || :


%ifarch %ix86
%triggerin plugin -- mozilla, %{_bindir}/mozilla
{
   # Read current mozilla root value, deduce plugin dir
   _MOZILLA_PLUGIN_DIR=$(sed -n -e 's|"||g' -e 's|^MOZ_DIST_BIN=\(.*\)$|\1|p' %{_bindir}/mozilla)/plugins

   [ -d "$_MOZILLA_PLUGIN_DIR" ] && ln -sf %pluginname $_MOZILLA_PLUGIN_DIR/libjavaplugin_oji.so
 } &> /dev/null || :


%triggerin fonts -- fontconfig, %{fontconfigdir}/fonts.conf
                                                                                                                              
TMPFILE=$(/bin/mktemp -q /tmp/fonts.conf.XXXXXX) && \
%{_bindir}/xsltproc --novalid %{xsldir}/register-java-fonts.xsl \
   %{fontconfigdir}/fonts.conf > $TMPFILE && \
/bin/cat $TMPFILE > %{fontconfigdir}/fonts.conf && /bin/rm $TMPFILE


%triggerun plugin -- mozilla, %{_bindir}/mozilla
{
   # Do not remove links on upgrade
   [ $2 = 0 ] || exit 0
   # Only remove our own links
   rm -f $(find %{_libdir}/mozilla* -lname %pluginname)
} &> /dev/null || :

%postun plugin
{
   [ $1 = 0 ] || exit 0
   # Only remove our own links
   rm -f $(find %{_libdir}/mozilla* -lname %pluginname)
} &> /dev/null || :

%endif

%postun
if [ "$1" = "0" ]; then
	update-alternatives --remove java           %{jrebindir}/java
	update-alternatives --remove jre_%{origin}  %{_jvmdir}/%{jrelnk}
	update-alternatives --remove jre_%{javaver} %{_jvmdir}/%{jrelnk}
fi

%postun devel
if [ "$1" = "0" ]; then
	update-alternatives --remove javac               %{sdkbindir}/javac
	update-alternatives --remove java_sdk_%{origin}  %{_jvmdir}/%{sdklnk}
	update-alternatives --remove java_sdk_%{javaver} %{_jvmdir}/%{sdklnk}
fi


# We do not care if all/any of this actually succeeds
# Therefore errors are catched but messages allowed
%postun fonts
{
   # Rehash the font dir to keep only stuff manually installed
   [ $1 -eq 0 ] || exit 0
                                                                                                                              
   if [ -d %{fontdir} ] && [ $(%{_bindir}/find %{fontdir} \
        -follow -type f -iname "*.ttf" -printf "\b\b\b\btrue") ] ; then
                                                                                                                              
        %{_bindir}/ttmkfdir -d %{fontdir} -o %{fontdir}/fonts.scale
        %{x11bindir}/mkfontdir -e %{x11encdir} -e %{x11encdir}/large %{fontdir}
                                                                                                                              
   else
        %{_sbindir}/chkfontpath -q -r %{fontdir}
   fi
                                                                                                                              
   if [ -x %{_bindir}/redhat-update-gnome-font-install ] ; then
        %{_bindir}/redhat-update-gnome-font-install
   fi
                                                                                                                              
   if [ -x %{_bindir}/redhat-update-gnome-font-install2 ] ; then
        %{_bindir}/redhat-update-gnome-font-install2
   fi
                                                                                                                              
   if [ -x %{_bindir}/fc-cache ] ; then
        %{_bindir}/fc-cache -f %{_datadir}/fonts
   fi
                                                                                                                              
} || :


%files -f ../%{name}.files
%defattr(-,root,root)
%doc docs/COPYRIGHT docs/READMEFIRST.TXT docs/README-EN.JRE.HTML
%dir %{_jvmdir}/%{sdkdir}
%dir %{jvmjardir}
%{_jvmdir}/%{jredir}/lib/fonts
%{jvmjardir}/*.jar
%{_jvmdir}/%{jrelnk}
%{_jvmjardir}/%{jrelnk}

%files devel -f ../%{name}-devel.files
%defattr(-,root,root)
%doc docs/COPYRIGHT docs/READMEFIRST.TXT docs/README.SDK.HTML 
%ifnarch s390
%doc docs/sdk/LICENSE_en.html
%endif
%{_jvmdir}/%{sdklnk}
%{_jvmjardir}/%{sdklnk}

%files demo
%defattr(-,root,root)
%{_datadir}/%{name}

%files debug -f ../%{name}-debug.files
%defattr(-,root,root)

%files jdbc -f ../%{name}-jdbc.files
%defattr(-,root,root)

%ifarch %ix86
%files plugin -f ../%{name}-plugin.files
%defattr(-,root,root)
%endif

%files fonts
%defattr(0644,root,root,0755)
%dir %{fontdir}
%dir %{xsldir}
%{fontdir}/*.ttf
%{xsldir}/*.xsl
%config(noreplace) %{fontdir}/fonts.alias
%ghost %{fontdir}/fonts.dir
%ghost %{fontdir}/fonts.scale
%ghost %{fontdir}/fonts.cache-1
%ghost %{fontdir}/XftCache
%ghost %{fontdir}/encodings.dir


%changelog
* Fri Jun 18 2004 Nicolas Mailhot <Nicolas.Mailhot (at) laPoste.net> 1.3.1.7-1jpp
- SR7

* Fri Mar 12 2004 Nicolas Mailhot <Nicolas.Mailhot (at) laPoste.net> 1.3.1.6-12jpp
- Merge IBM 1.4.1 font handling with Suse bits
- Fix missing java provides
- Add buildver to package names so one can check it when IBM people update 
  their stuff
- Use new FHS xml root

* Sun Aug 10 2003 Paul Nasrat <pauln@truemesh.com> 1.3.1-11jpp
- Slight spec clean up
- File exist check in patch routine to fix s390 build

* Tue Jun 17 2003 Paul Nasrat <pauln@truemesh.com> 1.3.1-10jpp
- Change sdkbindir and jrebindir to use links

* Wed Jun 11 2003 Paul Nasrat <pauln@truemesh.com> 1.3.1-9jpp
- Only set LD_ASSUME_KERNEL for NPTL enabled kernels and 2.4.0-9

* Sat Jun 07 2003 Paul Nasrat <pauln@truemesh.com> 1.3.1-8jpp
- Merge Ville's update-alternative bug fix

* Wed May 28 2003 Paul Nasrat <pauln@truemesh.com> 1.3.1-7jpp
- Always set LD_ASSUME_KERNEL

* Wed May 28 2003 Paul Nasrat <pauln@truemesh.com> 1.3.1-6jpp
- Plugin only for x86

* Wed May 28 2003 Paul Nasrat <pauln@truemesh.com> 1.3.1-5jpp
- Added multiple arch support - ppc and s390

* Wed May 28 2003 Paul Nasrat <pauln@truemesh.com> 1.3.1-4jpp
- Added debug package
- Changed devel package to use reference file

* Wed May 28 2003 Paul Nasrat <pauln@truemesh.com> 1.3.1-3jpp
- Removed manpages from update-alternatives
- Removed sun font hack

* Wed Apr 30 2003 Paul Nasrat <pauln@truemesh.com> 1.3.1-2jpp
- Build for jpackage 1.5
- merge font and extension handling
- new package name

* Sat May 11 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.3.1-1jpp
- 1.3.1
- vendor, distribution, group tags

* Fri Apr 05 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.3.0-3jpp 
- non-free section

* Sun Feb 10 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.3.0-2jpp 
- major version is %{major_version}
- name is %{name}
- jre back in %{jredir}
- corrected rmic alternative

* Wed Feb 06 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.3.0-1jpp 
- first jpp release
